Remove an item from the gallery
DELETE
/v1/projects/{slug}/gallery/{id}
const url = 'https://api.gampeon.com/v1/projects/example/gallery/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.gampeon.com/v1/projects/example/gallery/example \ --header 'Authorization: Bearer <token>'Everyone who can edit the project (owner, or owners and admins of its studio). Images are deleted, unless a report about them is still open or moderation removed them (kept for an appeal).
Not available with access tokens.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”slug
required
string
Project slug
id
required
string
Gallery item ID (16 hex characters)
Responses
Section titled “Responses”Removed
Error codes: unauthorized
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}Error codes: token_not_allowed, forbidden, project_hidden
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}Error codes: not_found
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}